Shopify CLI error `fetch': key not found: "PATHEXT" (KeyError)

zzkevinlim
New Member
1 0 0

Tool: Shopify CLI (2.5.0)


Platform: Windows 10


What happened:

 

shopify php serve

 

 

 

┏━━ Running server… ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ (0.22s) ━━━
This command ran with ID: 76019
Please include this information in any issues/report along with relevant logs
C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/system.rb:225:in `fetch': key not found: "PATHEXT" (KeyError)
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/system.rb:225:in `which'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/system.rb:219:in `resolve_path'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/system.rb:126:in `system'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/shopify_cli/context.rb:428:in `system'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/project_types/php/commands/serve.rb:38:in `block in call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-ui/lib/cli/ui/frame.rb:103:in `open'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/project_types/php/commands/serve.rb:31:in `call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/shopify_cli/sub_command.rb:13:in `call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/shopify_cli/command.rb:19:in `call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:16:in `block (2 levels) in call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:37:in `block (2 levels) in with_logging'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-ui/lib/cli/ui/stdout_router.rb:169:in `with_id'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:36:in `block in with_logging'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-ui/lib/cli/ui.rb:176:in `log_output_to'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:35:in `with_logging'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:15:in `block in call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:45:in `block (2 levels) in with_traps'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:51:in `twrap'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:44:in `block in with_traps'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:51:in `twrap'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:43:in `with_traps'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/executor.rb:14:in `call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/shopify_cli/core/executor.rb:15:in `call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/shopify_cli/core/entry_point.rb:24:in `block in call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/shopify_cli/core/monorail.rb:20:in `log'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/lib/shopify_cli/core/entry_point.rb:23:in `call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/bin/shopify:33:in `block in <main>'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/error_handler.rb:75:in `handle_abort'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/vendor/deps/cli-kit/lib/cli/kit/error_handler.rb:21:in `call'
        from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.5.0/bin/shopify:32:in `<main>'

 

 

 

0 Likes